MWAWPictBitmapContainer< T > Class Template Reference documentation

Public Member Functions | Protected Attributes | Private Member Functions | List of all members
MWAWPictBitmapContainer< T > Class Template Reference

a template class to store a 2D array of m_data More...

`#include <MWAWPictBitmap.hxx>`

## Public Member Functions
| MWAWPictBitmapContainer (MWAWVec2i const &sz)
| constructor given size More...
virtual | ~MWAWPictBitmapContainer ()
| destructor More...
bool | ok () const
| returns ok, if the m_data is allocated More...
int | cmp (MWAWPictBitmapContainer< T > const &orig) const
| a comparison operator More...
MWAWVec2i const & | size () const
| return the array size More...
int | numRows () const
| gets the number of row More...
int | numColumns () const
| gets the number of column More...
T const & | get (int i, int j) const
| accessor of a cell m_data More...
T const * | getRow (int j) const
| accessor of a row m_data More...
void | set (int i, int j, T const &v)
| sets a cell m_data More...
template<class U >
void | setRow (int j, U const *val)
| sets a line of m_data More...
template<class U >
void | setColumn (int i, U const *val)
| sets a column of m_data More...

## Protected Attributes
MWAWVec2i | m_size
| the size More...
T * | m_data
| the m_data placed by row ie. d_00, d_10, ... , d_{X-1}0, .. More...

## Private Member Functions
| MWAWPictBitmapContainer (MWAWPictBitmapContainer const &orig)=delete
MWAWPictBitmapContainer & | operator= (MWAWPictBitmapContainer const &orig)=delete

## Detailed Description

### template<class T>
class MWAWPictBitmapContainer< T >

a template class to store a 2D array of m_data

## Constructor & Destructor Documentation

## ◆ MWAWPictBitmapContainer() [1/2]

template<class T>

MWAWPictBitmapContainer< T >::MWAWPictBitmapContainer | ( | MWAWVec2i const & | sz | ) |
| inlineexplicit

constructor given size

## ◆ ~MWAWPictBitmapContainer()

template<class T>

virtual MWAWPictBitmapContainer< T >::~MWAWPictBitmapContainer | ( |  | ) |
| inlinevirtual

destructor

## ◆ MWAWPictBitmapContainer() [2/2]

template<class T>

MWAWPictBitmapContainer< T >::MWAWPictBitmapContainer | ( | MWAWPictBitmapContainer< T > const & | orig | ) |
| privatedelete

## Member Function Documentation

## ◆ cmp()

template<class T>

int MWAWPictBitmapContainer< T >::cmp | ( | MWAWPictBitmapContainer< T > const & | orig | ) | const
| inline

a comparison operator

Referenced by MWAWPictBitmapIndexed::cmp(), and MWAWPictBitmapColor::cmp().

## ◆ get()

template<class T>

T const& MWAWPictBitmapContainer< T >::get | ( | int | i,
|  | int | j
| ) |  | const
| inline

accessor of a cell m_data

Referenced by MWAWPictBitmapBW::get(), MWAWPictBitmapIndexed::get(), and MWAWPictBitmapColor::get().

## ◆ getRow()

template<class T>

T const* MWAWPictBitmapContainer< T >::getRow | ( | int | j | ) | const
| inline

accessor of a row m_data

Referenced by MWAWPictBitmapInternal::getBMPData(), getPBMData(), getPPMData(), MWAWPictBitmapInternal::getPPMData(), MWAWPictBitmapBW::getRow(), MWAWPictBitmapIndexed::getRow(), and MWAWPictBitmapColor::getRow().

## ◆ numColumns()

template<class T>

int MWAWPictBitmapContainer< T >::numColumns | ( |  | ) | const
| inline

gets the number of column

Referenced by MWAWPictBitmapBW::numColumns(), MWAWPictBitmapIndexed::numColumns(), and MWAWPictBitmapColor::numColumns().

## ◆ numRows()

template<class T>

int MWAWPictBitmapContainer< T >::numRows | ( |  | ) | const
| inline

gets the number of row

Referenced by MWAWPictBitmapBW::numRows(), MWAWPictBitmapIndexed::numRows(), and MWAWPictBitmapColor::numRows().

## ◆ ok()

template<class T>

bool MWAWPictBitmapContainer< T >::ok | ( |  | ) | const
| inline

returns ok, if the m_data is allocated

Referenced by MWAWPictBitmapBW::valid(), MWAWPictBitmapIndexed::valid(), and MWAWPictBitmapColor::valid().

## ◆ operator=()

template<class T>

MWAWPictBitmapContainer& MWAWPictBitmapContainer< T >::operator= | ( | MWAWPictBitmapContainer< T > const & | orig | ) |
| privatedelete

## ◆ set()

template<class T>

void MWAWPictBitmapContainer< T >::set | ( | int | i,
|  | int | j,
|  | T const & | v
| ) |  |
| inline

sets a cell m_data

Referenced by MWAWPictBitmapBW::set(), MWAWPictBitmapIndexed::set(), and MWAWPictBitmapColor::set().

## ◆ setColumn()

template<class T>
template<class U >

void MWAWPictBitmapContainer< T >::setColumn | ( | int | i,
|  | U const * | val
| ) |  |
| inline

sets a column of m_data

Referenced by MWAWPictBitmapBW::setColumn(), MWAWPictBitmapIndexed::setColumn(), and MWAWPictBitmapColor::setColumn().

## ◆ setRow()

template<class T>
template<class U >

void MWAWPictBitmapContainer< T >::setRow | ( | int | j,
|  | U const * | val
| ) |  |
| inline

sets a line of m_data

Referenced by MWAWPictBitmapBW::setRow(), MWAWPictBitmapIndexed::setRow(), and MWAWPictBitmapColor::setRow().

## ◆ size()

template<class T>

MWAWVec2i const& MWAWPictBitmapContainer< T >::size | ( |  | ) | const
| inline

return the array size

Referenced by MWAWPictBitmapInternal::getBMPData(), getPBMData(), getPPMData(), MWAWPictBitmapInternal::getPPMData(), MWAWPictBitmapBW::size(), MWAWPictBitmapIndexed::size(), and MWAWPictBitmapColor::size().

## Member Data Documentation

## ◆ m_data

template<class T>

T* MWAWPictBitmapContainer< T >::m_data
| protected

the m_data placed by row ie. d_00, d_10, ... , d_{X-1}0, ..

Referenced by MWAWPictBitmapContainer< bool >::cmp(), MWAWPictBitmapContainer< bool >::get(), MWAWPictBitmapContainer< bool >::getRow(), MWAWPictBitmapContainer< bool >::MWAWPictBitmapContainer(), MWAWPictBitmapContainer< bool >::ok(), MWAWPictBitmapContainer< bool >::set(), MWAWPictBitmapContainer< bool >::setColumn(), MWAWPictBitmapContainer< bool >::setRow(), and MWAWPictBitmapContainer< bool >::~MWAWPictBitmapContainer().

## ◆ m_size

template<class T>

MWAWVec2i MWAWPictBitmapContainer< T >::m_size
| protected

the size

Referenced by MWAWPictBitmapContainer< bool >::cmp(), MWAWPictBitmapContainer< bool >::get(), MWAWPictBitmapContainer< bool >::getRow(), MWAWPictBitmapContainer< bool >::MWAWPictBitmapContainer(), MWAWPictBitmapContainer< bool >::numColumns(), MWAWPictBitmapContainer< bool >::numRows(), MWAWPictBitmapContainer< bool >::set(), MWAWPictBitmapContainer< bool >::setColumn(), MWAWPictBitmapContainer< bool >::setRow(), and MWAWPictBitmapContainer< bool >::size().

The documentation for this class was generated from the following file:

- MWAWPictBitmap.hxx